<script lang="ts">
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  name: 'FeaturesLandingHero',
  components: { SlpColumn },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <section class="features-hero">
    <SlpRow>
      <SlpColumn :cols="6">
        <SlpTypography
          class="slp-pb-32"
          variant="display1"
          tag="h1"
          data-aos="fade-up"
          data-aos-duration="800"
          >{{ data.title }}
        </SlpTypography>
        <SlpTypography
          variant="body1"
          tag="p"
          data-aos="fade-up"
          data-aos-duration="1200"
          >{{ data.body_text }}
        </SlpTypography>
      </SlpColumn>
      <SlpColumn
        v-if="data.img"
        :cols="6"
        class="features-hero__img"
        data-aos="fade-left"
        data-aos-duration="1600"
      >
        <img :src="data.img.url" :alt="data.img.alt" />
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style scoped lang="scss">
.features-hero {
  padding: $spacing-64 0;

  &__img {
    display: flex;
    justify-content: center;
    padding-top: $spacing-16;

    @media (min-width: $breakpoint-md) {
      justify-content: center;
    }

    img {
      max-width: 26rem;
      width: 100%;
      height: auto;
      border-bottom-right-radius: 100px;
    }
  }
}
</style>
